## C0102 (blacklisted-name)

### :x: Problematic code:

```python
def foo():
    pass
```

### :heavy_check_mark: Correct code:

```python
def get_something():
    pass
```

### Rationale:

Used when the name is listed in the black list (unauthorized names).

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/b/blacklisted_name.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22blacklisted-name%22+OR+%22C0102%22)
