## C0103 (invalid-name)

### :x: Problematic code:

```python
aaa = 24
```

### :heavy_check_mark: Correct code:

```python
HOURS = 24
```

### Rationale:

Used when the name doesn't conform to naming rules associated to its type
(constant, variable, class...).

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/i/invalid_name.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-name%22+OR+%22C0103%22)
