## C0112 (empty-docstring)

### :x: Problematic code:

```python
def foo():
    pass
```

### :heavy_check_mark: Correct code:

```python
def foo():
    """A dummy description."""
```

### Rationale:

Used when a module, function, class or method has an empty docstring (it
would be too easy ;).

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/d/docstrings.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22empty-docstring%22+OR+%22C0112%22)
