## C0114 (missing-module-docstring)

### :x: Problematic code:

```console
$ cat >> system.py <<EOF
import sys
EOF
```

### :heavy_check_mark: Correct code:

```console
$ cat >> system.py <<EOF
"""System module."""
import sys
EOF

```

### Rationale:

Used when a module has no docstring. Empty modules do not require a docstring.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-module-docstring%22+OR+%22C0114%22)
