## C0116 (missing-function-docstring)

### :x: Problematic code:

```python
def foo():
    pass
```

### :heavy_check_mark: Correct code:

```python
def foo():
    """A dummy docstring."""
```

### Rationale:

Missing function or method docstring used when a function or method has no 
docstring. Some special methods like `__init__`, protected, private functions,
setters and deleters do not require a docstring (learn more from testscases).
It's a good practice to describe what a function does for other programmers.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/m/missing_docstring.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-function-docstring%22+OR+%22C0116%22)