## C0121 (singleton-comparison)

### :x: Problematic code:

```python
foo = True
if foo == True:
    pass
```

### :heavy_check_mark: Correct code:

```python
foo = True
if foo:
    pass
```

### Rationale:

Used when an expression is compared to singleton values like True, False or
None.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/s/singleton_comparison.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22singleton-comparison%22+OR+%22C0121%22)
