## C0122 (misplaced-comparison-constant)

### :x: Problematic code:

```python
foo = 10
if 10 == foo:
    pass
```

### :heavy_check_mark: Correct code:

```python
foo = 10
if foo == 10:
    pass
```

### Rationale:

Used when the constant is placed on the left side of a comparison. It is
usually clearer in intent to place it in the right hand side of the
comparison.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/m/misplaced_comparison_constant.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22misplaced-comparison-constant%22+OR+%22C0122%22)
