## E0100 (init-is-generator)

### :x: Problematic code:

```python
class Foo:
    def __init__(self, data):
        yield from data
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self, data):
        self.data = data

    def get_itmes(self):
        yielf from self.data


foo = Foo([1, 2, 3])
for item in in foo.get_items():
    pass
```

### Rationale:

Used when the special class method `__init__` is turned into a generator by a
yield in its body.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/i/init_is_generator.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22init-is-generator%22+OR+%22E0100%22)
