## E0102 (function-redefined)

### :x: Problematic code:

```python
def get_item():
    pass


def get_item():
    pass
```

### :heavy_check_mark: Correct code:

```python
def get_item():
    pass


def get_value():
    pass
```

### Rationale:

Used when a function / class / method is redefined.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/f/function_redefined.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22function-redefined%22+OR+%22E0102%22)
