## E0103 (not-in-loop)

### :x: Problematic code:

```python
def print_values_but_five(value):
    if value:
        continue
    print(value)


for i in range(10):
    print_values_but_five(i)
```

### :heavy_check_mark: Correct code:

```python
for i in range(10):
    if i == 5:
        continue
    print(i)
```

### Rationale:

Used when break or continue keywords are used outside a loop.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/n/not_in_loop.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22not-in-loop%22+OR+%22E0103%22)
