## E0104 (return-outside-function)

### :x: Problematic code:

```python
username = input()
if username:
    return f'Username: {username}'
```

### :heavy_check_mark: Correct code:

```python
def get_user(value):
    return f'Username: {value}'


get_user(input())
```

### Rationale:

Used when a `return` statement is found outside a function or method.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/r/return_outside_function.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22return-outside-function%22+OR+%22E0104%22)
