## E0105 (yield-outside-function)

### :x: Problematic code:

```python
for i in range(10):
    yield i
```

### :heavy_check_mark: Correct code:

```python
def get_values(data):
    yield from data


for i in get_values(range(10)):
    pass
```

### Rationale:

Used when a `yield` statement is found outside a function or method.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/y/yield_from_outside_func.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22yield-outside-function%22+OR+%22E0105%22)
