## E0107 (nonexistent-operator)

### :x: Problematic code:

```python
i = 0

while i <= 10:
    print(i)
    i++
```

### :heavy_check_mark: Correct code:

```python
i = 0

while i <= 10:
    print(i)
    i += 1
```

### Rationale:

Used when you attempt to use the C-style pre-increment or pre-decrement
operator `--` and `++`, which doesn't exist in Python. This message belongs
to the basic checker.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/n/nonexistent_operator.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22nonexistent-operator%22+OR+%22E0107%22)
