## E0108 (duplicate-argument-name)

### :x: Problematic code:

```python
def foo(a, b, a):
    pass
```

### :heavy_check_mark: Correct code:

```python
def foo(a, b, c):
    pass
```

### Rationale:

Duplicate argument names in function definitions are syntax errors.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/d/duplicate_argument_name.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22duplicate-argument-name%22+OR+%22E0108%22)
