## E0111 (bad-reversed-sequence)

### :x: Problematic code:

```python
reversed({'key': 1, 'key2': 2})
```

### :heavy_check_mark: Correct code:

```python
reversed([1, 2, 3])
```

### Rationale:

The first `reversed()` argument is not a sequence.
Used when the first argument to `reversed()` builtin isn't a sequence (does not
implement `__reversed__`, nor `__getitem__` and `__len__`.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/b/bad_reversed_sequence.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bad-reversed-sequence%22+OR+%22E0111%22)
