## E0112 (too-many-star-expressions)

### :x: Problematic code:

```python
*foo, *bar = [1, 2, 3]
```

### :heavy_check_mark: Correct code:

```python
*foo, bar = [1, 2, 3]
```

### Rationale:

More than one starred expression in assignment.
Emitted when there are more than one starred expressions (`*x`) in an
assignment. This is a `SyntaxError`.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/too/too_many_star_expressions.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-star-expressions%22+OR+%22E0112%22)
