## E0113 (invalid-star-assignment-target)

### :x: Problematic code:

```python
*foo = [1, 2, 3]
```

### :heavy_check_mark: Correct code:

```python
foo = [1, 2, 3]
```

### Rationale:

Starred assignment target must be in a `list` or `tuple`.
Emitted when a star expression is used as a starred assignment target.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/i/invalid_star_assignment_target.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-star-assignment-target%22+OR+%22E0113%22)
