## E0114 (star-needs-assignment-target)

### :x: Problematic code:

```python
foo = *[1, 2, 3]
```

### :heavy_check_mark: Correct code:

```python
foo, *bar = [1, 2, 3]
```

### Rationale:

Can use starred expression only in assignment target.
Emitted when a star expression is not used in an assignment target.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/s/star_needs_assignment_target.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22star-needs-assignment-target%22+OR+%22E0114%22)
