## E0119 (misplaced-format-function)

### :x: Problematic code:

```python
print('Value: {}').format('Car')
```

### :heavy_check_mark: Correct code:

```python
print('Value: {}'.format('Car'))
```

### Rationale:

Emitted when format function is not called on str object. e.g doing
`print("value {}").format(123)` instead of `print("value {}".format(123))`.
This might not be what the user intended to do.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/m/misplaced_format_function.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22misplaced-format-function%22+OR+%22E0119%22)
