## R0123 (literal-comparison)

### :x: Problematic code:

```python
value = 25
if value is 25:
    pass
```

### :heavy_check_mark: Correct code:

```python
value = 25
if value == 25:
    pass
```

### Rationale:

Used when comparing an object to a literal, which is usually what you do not
want to do, since you can compare to a different literal than what was
expected altogether.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/l/literal_comparison.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22literal-comparison%22+OR+%22R0123%22)
