## W0101 (unreachable)

### :x: Problematic code:

```python
def foo():
    return True
    print('Inside a function.')
```

### :heavy_check_mark: Correct code:

```python
def foo():
    print('Inside a function.')
    return True
```

### Rationale:

Used when there is some code behind a `return` or `raise` statement, which
will never be accessed.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/u/unreachable.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unreachable%22+OR+%22W0101%22)
