## W0102 (dangerous-default-value)

### :x: Problematic code:

```python
def foo(data={}):
    data.update({'key': 'value'})
    return data
```

### :heavy_check_mark: Correct code:

```python
def foo(data):
    if not data:
        data = {'key': 'value'}
    return data
```

### Rationale:

Used when a mutable value as list or dictionary is detected in a default
value for an argument.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/d/dangerous_default_value_py30.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22dangerous-default-value%22+OR+%22W0102%22)
