## W0104 (pointless-statement)

### :x: Problematic code:

```python
__version__
```

### :heavy_check_mark: Correct code:

```python
__version__ = 'v.1.0'
```

### Rationale:

Used when a statement doesn't have (or at least seems to) any effect.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/s/statement_without_effect.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22pointless-statement%22+OR+%22W0104%22)
