## W0106 (expression-not-assigned)

### :x: Problematic code:

```python
foo = True
bar = True
foo and bar
```

### :heavy_check_mark: Correct code:

```python
foo = True
bar = True
print(foo and bar)
```

### Rationale:

Used when an expression that is not a function call is assigned to nothing.
Probably something else was intended.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/s/statement_without_effect.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22expression-not-assigned%22+OR+%22W0106%22)
