## W0107 (unnecessary-pass)

### :x: Problematic code:

```python
class Foo:
    """Foo docstring."""
    pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    """Foo docstring."""
```

### Rationale:

Used when a `pass` statement that can be avoided is encountered.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/u/unnecessary_pass.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unnecessary-pass%22+OR+%22W0107%22)
