## W0108 (unnecessary-lambda)

### :x: Problematic code:

```python
foo = lambda: min(1, 2)
```

### :heavy_check_mark: Correct code:

```python
foo = min(1, 2)
```

### Rationale:

Used when the body of a lambda expression is a function call on the same
argument list as the lambda itself; such lambda expressions are in all but a
few cases replaceable with the function being called in the body of the
lambda.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/u/unnecessary_lambda.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unnecessary-lambda%22+OR+%22W0108%22)
