## W0109 (duplicate-key)

### :x: Problematic code:

```python
foo = {'key': 'value1', 'key': 'value2'}
```

### :heavy_check_mark: Correct code:

```python
foo = {'key1': 'value1', 'key2': 'value2'}
```

### Rationale:

Used when a dictionary expression binds the same key multiple times.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/d/duplicate_dict_literal_key.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22duplicate-key%22+OR+%22W0109%22)
