## W0120 (useless-else-on-loop)

### :x: Problematic code:

```python
for i in range(10):
    if i == 5:
        break
    print(i)
else:
    print('Found a bad value.')
```

### :heavy_check_mark: Correct code:

```python
for i in range(10):
    if i == 5:
        continue
    print(i)
else:
    print('Found a bad value.')
```

### Rationale:

Loops should only have an else clause if they can exit early with a break
statement, otherwise the statements under else should be on the same scope as
the loop itself.

### Related resources:

- [Testcases](#)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22useless-else-on-loop%22+OR+%22W0120%22)
