## W0122 (exec-used)

### :x: Problematic code:

```python
program = input('Enter code to be executed: ')
exec(program)
```

### :heavy_check_mark: Correct code:

```python
programs = {'do_something': lambda: print("Do something")}
program = input('Enter a program code to be used: ')
if programs.get(program):
    programs[program]()
```

### Rationale:

Used when you use the `exec` statement (function for Python 3), to discourage
its usage. That doesn't mean you cannot use it! It's dangerous to use this
function for a user input.

### Related resources:

- [Be careful with exec and eval in Python](https://lucumr.pocoo.org/2011/2/1/exec-in-python/)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22exec-used%22+OR+%22W0122%22)
