## W0123 (eval-used)

### :x: Problematic code:

```python
eval('[1, 2, 3]')
```

### :heavy_check_mark: Correct code:

```python
from ast import literal_eval
literal_eval('[1, 2, 3]')
```

### Rationale:

Used when you use the `eval` function, to discourage its usage. Consider
using `ast.literal_eval` for safely evaluating strings containing Python
expressions from untrusted sources.

### Related resources:

- [How to differentiate eval() and ast.literal_eval() in Python](https://kite.com/python/answers/how-to-differentiate-eval()-and-ast.literal_eval()-in-python)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22eval-used%22+OR+%22W0123%22)
