## W0143 (comparison-with-callable)

### :x: Problematic code:

```python
foo = True
def bar():
    pass


if foo == bar:
    pass
```

### :heavy_check_mark: Correct code:

```python
foo = True
def bar():
    pass


if foo == bar():
    pass
```

### Rationale:

This message is emitted when pylint detects that a comparison with a callable
was made, which might suggest that some parenthesis were omitted, resulting
in potential unwanted behaviour.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22comparison-with-callable%22+OR+%22W0143%22)
