## W0199 (assert-on-tuple)

### :x: Problematic code:

```python
assert (1, 2)
```

### :heavy_check_mark: Correct code:

```python
x, y = (1, 2)
assert x, y
```

### Rationale:

A call of `assert` on a `tuple` will always evaluate to true if the `tuple`
is not empty, and will always evaluate to false if it is.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22assert-on-tuple%22+OR+%22W0199%22)
