## C0202 (bad-classmethod-argument)

### :x: Problematic code:

```python
class Foo:
    def __new__(some):
        pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __new__(cls):
        pass
```

### Rationale:

Used when a class method has a first argument named differently than the
value specified in valid-classmethod-first-arg option (default to "cls"),
recommended to easily differentiate them from regular instance methods.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/input/func_first_arg.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bad-classmethod-argument%22+OR+%22C0202%22)
