## E0203 (access-member-before-definition)

### :x: Problematic code:

```python
class Foo:
    def __init__(self, bar):
        if self.bar:
            pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self, bar):
        self.bar = bar
        if self.bar:
            pass
```

### Rationale:

Used when an instance member is accessed before it's actually assigned.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/input/func_noerror_access_attr_before_def_false_positive.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22access-member-before-definition%22+OR+%22E0203%22)
