## E0211 (no-method-argument)

### :x: Problematic code:

```python
class Foo:
    def bar():
        pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def bar(self):
        pass
```

### Rationale:

Used when a method which should have the bound instance as first argument has
no argument defined.

### Related resources:

- [Testcases](#)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22no-method-argument%22+OR+%22E0211%22)
