## E0213 (no-self-argument)

### :x: Problematic code:

```python
class Foo:
    def __init__(some):
        pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self):
        pass
```

### Rationale:

Used when a method has an attribute different the "self" as first argument.
This is considered as an error since this is a so common convention that you
shouldn't break it!

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22no-self-argument%22+OR+%22E0213%22)
