## E0238 (invalid-slots)

### :x: Problematic code:

```python
class Foo:
    __slots__ = (bool,)

    def __init__(self, bar):
        self.bar = True
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    __slots__ = ('bar',)

    def __init__(self, bar):
        self.bar = True
```

### Rationale:

Used when an invalid `__slots__` is found in class. Only a string, an iterable
or a sequence is permitted.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-slots%22+OR+%22E0238%22)
