## E0239 (inherit-non-class)

### :x: Problematic code:

```python
class Foo(bool):
    pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __bool__(self):
        pass
```

### Rationale:

Used when a class inherits from something which is not a class.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22inherit-non-class%22+OR+%22E0239%22)
