## E0240 (inconsistent-mro)

### :x: Problematic code:

```python
class A:
    pass


class B:
    pass


class C(A, B):
    pass
```

### :heavy_check_mark: Correct code:

```python
class A:
    pass


class B(A):
    pass


class C(B):  # or B, A or A but not A, B
    pass
```

### Rationale:

Used when a class has an inconsistent method resolution order.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22inconsistent-mro%22+OR+%22E0240%22)
