## E0241 (duplicate-bases)

### :x: Problematic code:

```python
class A:
    pass


class B(A, A):
    pass
```

### :heavy_check_mark: Correct code:

```python
class A:
    pass


class B(A):
    pass


class C(A):
    pass
```

### Rationale:

Used when a class has duplicate bases.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22duplicate-bases%22+OR+%22E0241%22)
