## E0303 (invalid-length-returned)

### :x: Problematic code:

```python
class Foo:
    def __len__(self):
        return -1
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __len__(self):
        return 0  # n >= 0
```

### Rationale:

Used when a `__len__` method returns something which is not a non-negative
integer.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-length-returned%22+OR+%22E0303%22)
