## R0201 (no-self-use)

### :x: Problematic code:

```python
class Foo:
    def __init__(self):
        self.bar = True

    def baz(self):
        return True
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self):
        self.bar = True

    def baz(self):
        return self.bar
```

### Rationale:

Used when a method doesn't use its bound instance, and so could be written as
a function.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22no-self-use%22+OR+%22R0201%22)
