## R0202 (no-classmethod-decorator)

### :x: Problematic code:

```python
class Foo:
    BAR = True

    def baz(cls):
        return cls.BAR
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    BAR = True

    @classmethod
    def baz(cls):
        return cls.BAR
```

### Rationale:

Used when a class method is defined without using the decorator syntax.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22no-classmethod-decorator%22+OR+%22R0202%22)
