## R0203 (no-staticmethod-decorator)

### :x: Problematic code:

```python
class Foo:
    def bar(self):
        pass

    bar = staticmethod(bar)
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    @staticmethod
    def bar(self):
        pass
```

### Rationale:

Used when a static method is defined without using the decorator syntax.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22no-staticmethod-decorator%22+OR+%22R0203%22)
