## R0205 (useless-object-inheritance)

### :x: Problematic code:

```python
class Foo(object):
    pass
```

### :heavy_check_mark: Correct code:

```python
def Foo:
    pass
```

### Rationale:

Used when a class inherits from `object`, which under Python 3 is implicit,
hence can be safely removed from bases.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/u/useless_object_inheritance.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22useless-object-inheritance%22+OR+%22R0205%22)