## R0206 (property-with-parameters)

### :x: Problematic code:

```python
class Foo:
    @property
    def bar(self, arg):
        pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    @property
    def bar(self):
        pass
```

### Rationale:

Used when detected that a property also has parameters, which are useless,
given that properties cannot be called with additional arguments.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22property-with-parameters%22+OR+%22R0206%22)
