## W0201 (attribute-defined-outside-init)

### :x: Problematic code:

```python
class Foo:
    def bar(self):
        self.baz = True
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self):
        self.baz = None

    def bar(self, value):
        self.baz = value
```

### Rationale:

Used when an instance attribute is defined outside the `__init__` method.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22attribute-defined-outside-init%22+OR+%22W0201%22)
