## W0211 (bad-staticmethod-argument)

### :x: Problematic code:

```python
class Foo:
    @staticmethod
    def bar(self):
        pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    @staticmethod
    def bar(arg):
        pass
```

### Rationale:

Used when a static method has `self` or a value specified in valid-
classmethod-first-arg option or valid-metaclass-classmethod-first-arg option
as first argument.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bad-staticmethod-argument%22+OR+%22W0211%22)
