## W0212 (protected-access)

### :x: Problematic code:

```python
class Foo:
    def __bar(self):
        pass


foo = Foo()
foo.__bar()
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __bar(self):
        pass

    def baz(self):
        return self.__bar()


foo = Foo()
foo.baz()
```

### Rationale:

Used when a protected member (i.e. class member with a name beginning with an
underscore) is access outside the class or a descendant of the class where
it's defined.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22protected-access%22+OR+%22W0212%22)
