## W0223 (abstract-method)

### :x: Problematic code:

```python
class Foo:
    def bar(self):
        raise NotImplementedError


class Baz(Foo):
    pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def bar(self):
        raise NotImplementedError


class Baz(Foo):
    def bar(self):
        pass
```

### Rationale:

Used when an abstract method (i.e. raise NotImplementedError) is not
overridden in concrete class.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22abstract-method%22+OR+%22W0223%22)
