## W0232 (no-init)

### :x: Problematic code:

```python
class Foo:
    pass


class Bar(Foo):
    pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self):
        pass


class Bar(Foo):
    pass
```

### Rationale:

Used when a class has no `__init__` method, neither its parent classes.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22no-init%22+OR+%22W0232%22)
