## W0236 (invalid-overridden-method)

### :x: Problematic code:

```python
class Foo:
    async def baz(self):
        pass


class Bar(Foo):
    def baz(self):
        pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    async def baz(self):
        pass


class Bar(Foo):
    async def baz(self):
        pass
```

### Rationale:

Used when we detect that a method was overridden in a way that does not match
its base class which could result in potential bugs at runtime.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-overridden-method%22+OR+%22W0236%22)
