## C1901 (compare-to-empty-string)

### :x: Problematic code:

```python
if input() == '':
    pass
```

### :heavy_check_mark: Correct code:

```python
if len(input()):
    pass
```

### Rationale:

Used when Pylint detects comparison to an empty string constant.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22compare-to-empty-string%22+OR+%22C1901%22)
