## C2001 (compare-to-zero)

### :x: Problematic code:

```python
if int(input()) == 0:
    pass
```

### :heavy_check_mark: Correct code:

```python
if bool(int(input())):
    pass
```

### Rationale:

Used when Pylint detects comparison to a 0 constant.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22compare-to-zero%22+OR+%22C2001%22)
