## W0141 (bad-builtin)

### :x: Problematic code:

```python
from functools import reduce
print(reduce(lambda x, y: x + y, range(10)))
```

### :heavy_check_mark: Correct code:

```python
print(sum(range(10)))
```

### Rationale:

Used when a black listed builtin function is used.
Usual black listed functions are the ones like `map`, or `filter` ,
where Python offers now some cleaner alternative like list comprehension.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bad-builtin%22+OR+%22W0141%22)
