## R0901 (too-many-ancestors)

### :x: Problematic code:

```python
class A: ...
class B: ...
class C: ...
class D: ...
class E: ...
class F: ...
class G: ...
class H: ...
class I: ...
class J: ...

class Foo(A, B, C, D, E, F, G, H, I, J):
    pass
```

### :heavy_check_mark: Correct code:

```python
class A: ...
class B: ...
class C: ...

# max of 7 by default, can be configured
class Foo(A, B, C):
    pass
```

### Rationale:

Used when class has too many parent classes, try to reduce this to get a
simpler (and so easier to use) class.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-ancestors%22+OR+%22R0901%22)
