## R0902 (too-many-instance-attributes)

### :x: Problematic code:

```python
class Foo:
    def __init__(self):
        self.a = None
        self.b = None
        self.c = None
        self.d = None
        self.e = None
        self.f = None
        self.g = None
        self.h = None
        self.i = None
        self.j = None
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self):
        # max of 7 by default, can be configured
        self.a = None
        self.b = None
        self.c = None
        self.d = None
        self.e = None
        self.f = None
        self.g = None
        self.h = None
```

### Rationale:

Used when class has too many instance attributes, try to reduce this to get a
simpler (and so easier to use) class.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-instance-attributes%22+OR+%22R0902%22)
