## R0903 (too-few-public-methods)

### :x: Problematic code:

```python
class Foo:
    def pub1(self):
        pass
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def pub1(self):
        pass

    def pub2(self):
        pass
```

### Rationale:

Used when class has too few public methods, so be sure it's really worth it.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/too/too_few_public_methods.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-few-public-methods%22+OR+%22R0903%22)