## R0904 (too-many-public-methods)

### :x: Problematic code:

```python
class Foo:
    def a(self): ...
    def b(self): ...
    def c(self): ...
    def d(self): ...
    def e(self): ...
    def f(self): ...
    def g(self): ...
    def h(self): ...
    def i(self): ...
    def j(self): ...
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def a(self): ...
    def b(self): ...
    def c(self): ...
    def d(self): ...
    def e(self): ...
    def f(self): ...
```

### Rationale:

Used when class has too many public methods, try to reduce this to get a
simpler (and so easier to use) class.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-public-methods%22+OR+%22R0904%22)
