## R0911 (too-many-return-statements)

### :x: Problematic code:

```python
def foo(x):
    if x == 1:
        return 'This is one.'
    if x == 2:
        return 'This is two.'
    if x == 3:
        return 'This is three.'
    if x == 4:
        return 'This is four.'
    if x == 5:
        return 'This is five.'
    if x == 6:
        return 'This is six.'
    if x == 7:
        return 'This is seven.'
```

### :heavy_check_mark: Correct code:

```python
NUMBERS_TO_STRINGS = {
    1: 'one',
    2: 'two',
    3: 'three',
    4: 'four',
    5: 'five',
    6: 'six',
    7: 'seven'
}


def foo(x):
    return f'This is {NUMBERS_TO_STRINGS.get(x)}.'
```

### Rationale:

Used when a function or method has too many return statement, making it hard
to follow. 

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/regrtest_data/func_block_disable_msg.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-return-statements%22+OR+%22R0911%22)
