## R0913 (too-many-arguments)

### :x: Problematic code:

```python
def foo(a, b, c, d, e, f, g, h, i, j):
    pass
```

### :heavy_check_mark: Correct code:

```python
def foo(*args):
    pass
```

### Rationale:

Used when a function or method takes too many arguments.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-arguments%22+OR+%22R0913%22)
