## R0914 (too-many-locals)

### :x: Problematic code:

```python
def foo():
    # Maximum number of locals for function / method body (by default 15)
```

### :heavy_check_mark: Correct code:

```python
# split up functions/methods to smaller ones
```

### Rationale:

Used when a function or method has too many local variables.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-locals%22+OR+%22R0914%22)
