## R0915 (too-many-statements)

### :x: Problematic code:

```python
def foo():
    # for instance, if a fuction has got many if's (by default <= 50)
```

### :heavy_check_mark: Correct code:

```python
# split up to smaller functions/methods
```

### Rationale:

Used when a function or method has too many statements. You should then split
it in smaller functions / methods.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-statements%22+OR+%22R0915%22)
