## R1260 (too-complex)

### :x: Problematic code:

```python
def foo():
    # McCabe rating is 11 here (by default 10)
    myint = 2
    if myint == 5:
        return myint
    elif myint == 6:
        return myint
    elif myint == 7:
        return myint
    elif myint == 8:
        return myint
    elif myint == 9:
        return myint
    elif myint == 10:
        if myint == 8:
            while True:
                return True
        elif myint == 8:
            with myint:
                return 8
    else:
        if myint == 2:
            return myint
        return myint
    return myint
```

### :heavy_check_mark: Correct code:

```python
# split up to smaller functions
```

### Rationale:

Used when a method or function is too complex based on McCabe Complexity
Cyclomatic.

### Related resources:

- [Design checker](http://pylint.pycqa.org/en/latest/technical_reference/extensions.html#design-checker-documentation)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-complex%22+OR+%22R1260%22)
