## C0199 (docstring-first-line-empty)

### :x: Problematic code:

```python
def foo():
    """

    Lorem Ipsum is simply dummy text of the printing and typesetting
    industry.

    Lorem Ipsum has been the industry's standard dummy text ever since the
    1500s, when an unknown printer took a galley of type and scrambled it
    to make a type specimen book
    """
```

### :heavy_check_mark: Correct code:

```python
def foo():
    """Lorem Ipsum is simply dummy text of the printing and typesetting
    industry.

    Lorem Ipsum has been the industry's standard dummy text ever since the
    1500s, when an unknown printer took a galley of type and scrambled it
    to make a type specimen book
    """
```

### Rationale:

Used when a blank line is found at the beginning of a docstring.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22docstring-first-line-empty%22+OR+%22C0199%22)
