## R5501 (else-if-used)

### :x: Problematic code:

```python
if input():
    pass
else:
    if len(input()) >= 10:
        pass
    else:
        pass
```

### :heavy_check_mark: Correct code:

```python
if input():
    pass
elif len(input()) >= 10:
    pass
else:
    pass
```

### Rationale:

Used when an `else` statement is immediately followed by an `if` statement
and does not contain statements that would be unrelated to it.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22else-if-used%22+OR+%22R5501%22)
