## E0710 (raising-non-exception)

### :x: Problematic code:

```python
class FooError:
    pass


raise FooError
```

### :heavy_check_mark: Correct code:

```python
class FooError(Exception):
    pass

raise FooError
```

### Rationale:

Used when a new style class which doesn't inherit from `BaseException` is
raised.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22raising-non-exception%22+OR+%22E0710%22)
