## E0711 (notimplemented-raised)

### :x: Problematic code:

```python
class Foo:
    def bar(self):
        raise NotImplemented
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def bar(self):
        raise NotImplementedError
```

### Rationale:

Used when `NotImplemented` is raised instead of `NotImplementedError`.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22notimplemented-raised%22+OR+%22E0711%22)
