## E0712 (catching-non-exception)

### :x: Problematic code:

```python
class FooError:
    pass


try:
    1 / 0
except FooError:
    pass
```

### :heavy_check_mark: Correct code:

```python
class FooError(Exception):
    pass


try:
    1 / 0
except FooError:
    pass
```

### Rationale:

Used when a class which doesn't inherit from `Exception` is used as an
exception in an except clause.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22catching-non-exception%22+OR+%22E0712%22)
