## W0702 (bare-except)

### :x: Problematic code:

```python
try:
    1 / 0
except:
    pass
```

### :heavy_check_mark: Correct code:

```python
try:
    1 / 0
except ZeroDivisionError:
    pass
```

### Rationale:

Used when an except clause doesn't specify exceptions type to catch.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bare-except%22+OR+%22W0702%22)
