## W0705 (duplicate-except)

### :x: Problematic code:

```python
try:
    1 / 0
except ZeroDivisionError:
    pass
except ZeroDivisionError:
    pass
```

### :heavy_check_mark: Correct code:

```python
try:
    1 / 0
except ZeroDivisionError:
    pass
```

### Rationale:

Used when an except catches a type that was already caught by a previous
handler.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22duplicate-except%22+OR+%22W0705%22)
