## W0706 (try-except-raise)

### :x: Problematic code:

```python
try:
    1 / 0
except:
    raise
```

### :heavy_check_mark: Correct code:

```python
try:
    1 / 0
except ZeroDivisionError as e:
    raise ValueError from e
```

### Rationale:

Used when an except handler uses raise as its first or only operator. This is
useless because it raises back the exception immediately. Remove the raise
operator or the entire try-except-raise block!

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22try-except-raise%22+OR+%22W0706%22)
