## W0711 (binary-op-exception)

### :x: Problematic code:

```python
try:
    1 / 0
except ZeroDivisionError or ValueError:
    pass
```

### :heavy_check_mark: Correct code:

```python
try:
    1 / 0
except (ZeroDivisionError, ValueError):
    pass
```

### Rationale:

Used when the exception to catch is of the form `except A or B`. If
intending to catch multiple, rewrite as `except (A, B)`.

### Related resources:

- [Testcases](#)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22binary-op-exception%22+OR+%22W0711%22)
