## W0716 (wrong-exception-operation)

### :x: Problematic code:

```python
try:
    1 / 0
except ZeroDivisionError >= Exception:
    pass
```

### :heavy_check_mark: Correct code:

```python
try:
    1 / 0
except ZeroDivisionError:
    pass
```

### Rationale:

Used when an operation is done against an exception, but the operation is not
valid for the exception in question. Usually emitted when having binary
operations between exceptions in except handlers.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22wrong-exception-operation%22+OR+%22W0716%22)
