## C0303 (trailing-whitespace)

### :x: Problematic code:

```python
print('Hello')    # some whitespaces here
```

### :heavy_check_mark: Correct code:

```python
print('Hello')
```

### Rationale:

Used when there is whitespace between the end of a line and the newline.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/functional/t/trailing_whitespaces.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22trailing-whitespace%22+OR+%22C0303%22)
