## C0325 (superfluous-parens)

### :x: Problematic code:

```python
x = input()
y = input()
if (x == y):
    pass
```

### :heavy_check_mark: Correct code:

```python
x = input()
y = input()
if x == y:
    pass
```

### Rationale:

Used when a single item in parentheses follows an `if`, `for`, `or` other
keyword.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22superfluous-parens%22+OR+%22C0325%22)
