## W0301 (unnecessary-semicolon)

### :x: Problematic code:

```python
print('Hello');
```

### :heavy_check_mark: Correct code:

```python
print('Hello')
```

### Rationale:

Used when a statement is ended by a semi-colon (";"), which isn't necessary
(that's python, not C ;).

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unnecessary-semicolon%22+OR+%22W0301%22)
