## C0410 (multiple-imports)

### :x: Problematic code:

```python
import csv, os
```

### :heavy_check_mark: Correct code:

```python
import csv
import os
```

### Rationale:

Used when import statement importing multiple modules is detected.

### Related resources:

- [A handy tool for Python imports (isort)](https://github.com/timothycrosley/isort)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22multiple-imports%22+OR+%22C0410%22)
