## C0412 (ungrouped-imports)

### :x: Problematic code:

```python
from django.conf import settings
import requests
from django import utils
```

### :heavy_check_mark: Correct code:

```python
import requests
from django import utils
from django.conf import settings
```

### Rationale:

Used when imports are not grouped by packages.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22ungrouped-imports%22+OR+%22C0412%22)
