## C0413 (wrong-import-position)

### :x: Problematic code:

```python
import os
print(os.getcwd())

import sys
```

### :heavy_check_mark: Correct code:

```python
import os
import sys
print(os.getcwd())
```

### Rationale:

Used when code and imports are mixed.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22wrong-import-position%22+OR+%22C0413%22)
