## C0414 (useless-import-alias)

### :x: Problematic code:

```python
from django.conf import settings as settings
```

### :heavy_check_mark: Correct code:

```python
from django.conf import settings as django_settings
```

### Rationale:

Used when an import alias is same as original package.e.g using import numpy
as numpy instead of import numpy as np.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22useless-import-alias%22+OR+%22C0414%22)
