## E0401 (import-error)

### :x: Problematic code:

```python
# you didn't install it via pip, setup.py, wheel
import third_party
```

### :heavy_check_mark: Correct code:

```python
# package installed in your venv, globally, user space
import third_party
```

### Rationale:

Used when pylint has been unable to import a module.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22import-error%22+OR+%22E0401%22)
