## E0402 (relative-beyond-top-level)

### :x: Problematic code:

```python
# you don't have in a current directory forms.py module
from . import forms
```

### :heavy_check_mark: Correct code:

```python
# forms.py available in a current directory
from . import forms
```

### Rationale:

Used when a relative import tries to access too many levels in the current
package.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22relative-beyond-top-level%22+OR+%22E0402%22)
