## W0401 (wildcard-import)

### :x: Problematic code:

```python
from flask import *
```

### :heavy_check_mark: Correct code:

```python
from flask import Flask
```

### Rationale:

This is a bad practice because it clutters namespace with unneeded modules,
packages, variables, etc. Moreover, it takes time to load them too.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22wildcard-import%22+OR+%22W0401%22)
