## W0406 (import-self)

### :x: Problematic code:

```python
cat > foo.py <<EOF
import foo
EOF
```

### :heavy_check_mark: Correct code:

```python
cat > foo.py <<EOF
import bar
EOF

cat > bar.py <<EOF
# some actions
EOF
```

### Rationale:

Used when a module is importing itself.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22import-self%22+OR+%22W0406%22)
