## W0410 (misplaced-future)

### :x: Problematic code:

```python
import sys

from __future__ import print_function
```

### :heavy_check_mark: Correct code:

```python
from __future__ import print_function

import sys
```

### Rationale:

Python 2.5 and greater require __future__ import to be the first non
docstring statement in the module. This message belongs to the imports
checker.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22misplaced-future%22+OR+%22W0410%22)
