## E1003 (bad-super-call)

### :x: Problematic code:

```python
class Foo:
    pass


class Bar(Foo):
    def __init__(self):
        super(Foo, self).__init__()
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    pass


class Bar(Foo):
    def __init__(self):
        super().__init__()
```

### Rationale:

Used when another argument than the current class is given as first argument
of the super builtin.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bad-super-call%22+OR+%22E1003%22)
