## W9005 (multiple-constructor-doc)

### :x: Problematic code:

```python
class Foo:
    """A dummy description.

    :param list a: a dummy variable
    """

    def __init__(self, a):
        """A dummy description.

        :param list a: a dummy variable
        """
```

### :heavy_check_mark: Correct code:

```python
class Foo:
    def __init__(self, a):
        """A dummy description.

        :param list a: a dummy variable
        """
```

### Rationale:

Please remove parameter declarations in the class or constructor.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22multiple-constructor-doc%22+OR+%22W9005%22)
