## W9011 (missing-return-doc)

### :x: Problematic code:

```python
def foo(n):
    """A dummy string.

    :rtype: int
    """

    return n ** 10
```

### :heavy_check_mark: Correct code:

```python
def foo(n):
    """A dummy string.

    :returns: a result.
    :rtype: int
    """

    return n ** 10
```

### Rationale:

Please add documentation about what this method returns.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-return-doc%22+OR+%22W9011%22)
