## W9012 (missing-return-type-doc)

### :x: Problematic code:

```python
def foo(n):
    """A dummy string.

    :returns: a result.
    """

    return n ** 10
```

### :heavy_check_mark: Correct code:

```python
def foo(n):
    """A dummy string.

    :returns: a result.
    :rtype: int
    """

    return n ** 10
```

### Rationale:

Please document the type returned by this method.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-return-type-doc%22+OR+%22W9012%22)
