## W9015 (missing-param-doc)

### :x: Problematic code:

```python
def foo(x, y):
    """A dummy string.

    :param int x: x value.
    :returns: a result.
    :rtype: int
    """

    return x + y
```

### :heavy_check_mark: Correct code:

```python
def foo(x, y):
    """A dummy string.

    :param int x: x value.
    :param int y: y value.
    :returns: a result.
    :rtype: int
    """

    return x + y
```

### Rationale:

Please add parameter declarations for all parameters.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-param-doc%22+OR+%22W9015%22)
