## W9017 (differing-param-doc)

### :x: Problematic code:

```python
def foo(x, y):
    """A dummy string.

    :param int x: x value.
    :param int z: z value.
    :returns: a result.
    :rtype: int
    """

    return x + y
```

### :heavy_check_mark: Correct code:

```python
def foo(x, y):
    """A dummy string.

    :param int x: x value.
    :param int y: y value.
    :returns: a result.
    :rtype: int
    """

    return x + y
```

### Rationale:

Please check parameter names in declarations.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22differing-param-doc%22+OR+%22W9017%22)
