## W9018 (differing-type-doc)

### :x: Problematic code:

```python
def foo(x, y):
    """A dummy string.

    :param int x: x value.
    :param str y: y value.
    :returns: a result.
    :rtype: int
    """

    return x + y
```

### :heavy_check_mark: Correct code:

```python
def foo(x, y):
    """A dummy string.

    :param int x: x value.
    :param int y: y value.
    :returns: a result.
    :rtype: int
    """

    return x + y
```

### Rationale:

Please check parameter names in type declarations.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22differing-type-doc%22+OR+%22W9018%22)
