## C0200 (consider-using-enumerate)

### :x: Problematic code:

```python
array = [1, 2, 3, 4, 5]
for i in range(len(array)):
    print(i, array[i])

```

### :heavy_check_mark: Correct code:

```python
array = [1, 2, 3, 4, 5]
for i, n in enumarate(array):
    print(i, n)
```

### Rationale:

Emitted when code that iterates with `range` and `len` is encountered. Such
code can be simplified by using the `enumerate` builtin.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22consider-using-enumerate%22+OR+%22C0200%22)
