## C1801 (len-as-condition)

### :x: Problematic code:

```python
array = []
if len(array):
    pass
```

### :heavy_check_mark: Correct code:

```python
array = []
if len(array) > 0:
    pass
```

### Rationale:

Used when Pylint detects that `len(sequence)` is being used without explicit
comparison inside a condition to determine if a sequence is empty. Instead of
coercing the length to a boolean, either rely on the fact that empty
sequences are false or compare the length against a scalar.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22len-as-condition%22+OR+%22C1801%22)
