## R1707 (trailing-comma-tuple)

### :x: Problematic code:

```python
t = 1,
print(t)
```

### :heavy_check_mark: Correct code:

```python
t = (1,)
print(t)
```

### Rationale:

In Python, a tuple is actually created by the comma symbol, not by the
parentheses. Unfortunately, one can actually create a tuple by misplacing a
trailing comma, which can lead to potential weird bugs in your code. You
should always use parentheses explicitly for creating a tuple.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22trailing-comma-tuple%22+OR+%22R1707%22)
