## R1711 (useless-return)

### :x: Problematic code:

```python
def foo():
    return None
```

### :heavy_check_mark: Correct code:

```python
def foo():
    pass
```

### Rationale:

Emitted when a single `return` or `return None` statement is found at the end
of function or method definition. This statement can safely be removed
because Python will implicitly `return None`.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22useless-return%22+OR+%22R1711%22)
