## R1712 (consider-swap-variables)

### :x: Problematic code:

```python
a = 1
b = 2
temp = a

a = b
b = temp

print(a, b)
```

### :heavy_check_mark: Correct code:

```python
a = 1
b = 2

a, b = b, a

print(a, b)
```

### Rationale:

You do not have to use a temporary variable in order to swap variables. Using
`tuple unpacking` to directly swap variables makes the intention more clear.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22consider-swap-variables%22+OR+%22R1712%22)
