## R1713 (consider-using-join)

### :x: Problematic code:

```python
chars = ['H', 'e', 'l', 'l', 'o']
r = ''
for s in chars:
    r += s

print(r)
```

### :heavy_check_mark: Correct code:

```python
chars = ['H', 'e', 'l', 'l', 'o']
print(''.join(chars))
```

### Rationale:

Using `str.join(sequence)` is faster, uses less memory and increases
readability compared to for-loop iteration.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22consider-using-join%22+OR+%22R1713%22)
