## R1714 (consider-using-in)

### :x: Problematic code:

```python
array = list(range(10))
n = input()

for elem in array:
    if int(n) == elem:
        pass
```

### :heavy_check_mark: Correct code:

```python
array = list(range(10))
n = input()

if int(n) in array:
    pass
```

### Rationale:

To check if a variable is equal to one of many values,combine the values into
a tuple and check if the variable is contained `in` it instead of checking
for equality against each of the values. This is faster and less verbose.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22consider-using-in%22+OR+%22R1714%22)
