## R1716 (chained-comparison)

### :x: Problematic code:

```python
a = int(input())
b = int(input())
c = int(input())
if a < b and b < c:
    pass
```

### :heavy_check_mark: Correct code:

```python
a = int(input())
b = int(input())
c = int(input())
if a < b < c:
    pass
```

### Rationale:

This message is emitted when pylint encounters boolean operation like
`a < b and b < c`, suggesting instead to refactor it to `a < b < c`.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22chained-comparison%22+OR+%22R1716%22)
