## R1719 (simplifiable-if-expression)

### :x: Problematic code:

```python
foo = [('x', 1), ('y', 2), ('z', 3)]
bar = None

if foo:
    bar = True
else:
    bar = False
```

### :heavy_check_mark: Correct code:

```python
foo = [('x', 1), ('y', 2), ('z', 3)]
bar = bool(foo)
```

### Rationale:

Used when an if expression can be replaced with `bool(test)`.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22simplifiable-if-expression%22+OR+%22R1719%22)
