## R1722 (consider-using-sys-exit)

### :x: Problematic code:

```python
if __name__ == '__main__':
    user = input('Enter user name: ')
    print(f'Hello, {user}')
    exit(0)
```

### :heavy_check_mark: Correct code:

```python
import sys

if __name__ == '__main__':
    user = input('Enter user name: ')
    print(f'Hello, {user}')
    sys.exit(0)
```

### Rationale:

Instead of using `exit()` or `quit()`, consider using the `sys.exit()`.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22consider-using-sys-exit%22+OR+%22R1722%22)
