## E1507 (invalid-envvar-value)

### :x: Problematic code:

```python
import os

os.getenv(1)
```

### :heavy_check_mark: Correct code:

```python
import os

os.getenv('1')
```

### Rationale:

Env manipulation functions support only string type arguments.

### Related resources:

- [`os.getenv` doc](https://docs.python.org/3/library/os.html#os.getenv)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-envvar-value%22+OR+%22E1507%22)
