## W1508 (invalid-envvar-default)

### :x: Problematic code:

```python
import os

env = os.getenv('SECRET_KEY', 1)
```

### :heavy_check_mark: Correct code:

```python
import os

env = os.getenv('SECRET_KEY', '1')
```

### Rationale:

Env manipulation functions `return None` or `str` values. Supplying anything
different as a default may cause bugs. See
https://docs.python.org/3/library/os.html#os.getenv for more details.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-envvar-default%22+OR+%22W1508%22)
