## E1302 (mixed-format-string)

### :x: Problematic code:

```python
print('%(one)s %s' % ('hello', 'world'))
```

### :heavy_check_mark: Correct code:

```python
print('{} {}'.format('hello', 'world'))
```

### Rationale:

Used when a format string contains both named (e.g. `%(foo)d`) and unnamed
(e.g. `%d`) conversion specifiers. This is also used when a named conversion
specifier contains * for the minimum field width and/or precision.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22mixed-format-string%22+OR+%22E1302%22)
