## E1304 (missing-format-string-key)

### :x: Problematic code:

```python
print('{one} {}'.format('hello', 'world'))
```

### :heavy_check_mark: Correct code:

```python
print('{one} {}'.format('world', one='hello'))
```

### Rationale:

Used when a format string that uses named conversion specifiers is used with
a dictionary that doesn't contain all the keys required by the format string.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-format-string-key%22+OR+%22E1304%22)
