## E1305 (too-many-format-args)

### :x: Problematic code:

```python
print('{} {}'.format('hello', 'world', 'again'))
```

### :heavy_check_mark: Correct code:

```python
print('{} {} {}'.format('hello', 'world', 'again'))
```

### Rationale:

Used when a format string that uses unnamed conversion specifiers is given
too many arguments.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-many-format-args%22+OR+%22E1305%22)
