## E1306 (too-few-format-args)

### :x: Problematic code:

```python
print('{} {}'.format('hello'))
```

### :heavy_check_mark: Correct code:

```python
print('{}'.format('hello'))
```

### Rationale:

Used when a format string that uses unnamed conversion specifiers is given
too few arguments.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22too-few-format-args%22+OR+%22E1306%22)
