## E1307 (bad-string-format-type)

### :x: Problematic code:

```python
print('{:.2f}'.format('10.5555'))
```

### :heavy_check_mark: Correct code:

```python
print('{:.2f}'.format(10.5555))
# to be added
```

### Rationale:

Used when a type required by format string is not suitable for actual
argument type.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bad-string-format-type%22+OR+%22E1307%22)
