## W1302 (bad-format-string)

### :x: Problematic code:

```python
print('{a[0] + a[1]}'.format(a=[0, 1]))
```

### :heavy_check_mark: Correct code:

```python
print('{a[0]} + {a[1]}'.format(a=[0, 1]))
```

### Rationale:

Used when a PEP 3101 format string is invalid.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22bad-format-string%22+OR+%22W1302%22)
