## W1303 (missing-format-argument-key)

### :x: Problematic code:

```python
print('{one} {two}'.format(one='hello'))
```

### :heavy_check_mark: Correct code:

```python
print('{one} {two}'.format(one='hello', two='world'))
```

### Rationale:

Used when a PEP 3101 format string that uses named fields doesn't receive one
or more required keywords.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-format-argument-key%22+OR+%22W1303%22)
