## W1304 (unused-format-string-argument)

### :x: Problematic code:

```python
print('{one} {two}'.format(one='hello', two='world', three='again'))
```

### :heavy_check_mark: Correct code:

```python
print('{one} {two} {three}'.format(one='hello', two='world', three='again'))
# or
print('{one} {two}'.format(one='hello', two='world'))
```

### Rationale:

Used when a PEP 3101 format string that uses named fields is used with an
argument that is not required by the format string.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unused-format-string-argument%22+OR+%22W1304%22)
