## W1305 (format-combined-specification)

### :x: Problematic code:

```python
print('{} {1}'.format('hello', 'world'))
```

### :heavy_check_mark: Correct code:

```python
print('{0} {1}'.format('hello', 'world'))
# or
print('{} {}'.format('hello', 'world'))
```

### Rationale:

Used when a PEP 3101 format string contains both automatic field numbering
(e.g. `{}`) and manual field specification (e.g. `{0}`).

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22format-combined-specification%22+OR+%22W1305%22)
