## W1306 (missing-format-attribute)

### :x: Problematic code:

```python
print('{0.real}'.format('1'))
```

### :heavy_check_mark: Correct code:

```python
print('{0.real}'.format(1))
```

### Rationale:

Used when a PEP 3101 format string uses an attribute specifier ({0.length}),
but the argument passed for formatting doesn't have that attribute.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22missing-format-attribute%22+OR+%22W1306%22)
