## W1307 (invalid-format-index)

### :x: Problematic code:

```python
print('{a[1]}'.format(a=[0]))
```

### :heavy_check_mark: Correct code:

```python
print('{a[1]}'.format(a=[0, 1]))
```

### Rationale:

Used when a PEP 3101 format string uses a lookup specifier (`{a[1]}`), but the
argument passed for formatting doesn't contain or doesn't have that key as an
attribute.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-format-index%22+OR+%22W1307%22)
