## W1402 (anomalous-unicode-escape-in-string)

### :x: Problematic code:

```python
print(b'\u{0}'.format('0394'))
```

### :heavy_check_mark: Correct code:

```python
print(b'\\u{0}'.format('0394'))
```

### Rationale:

Used when an escape like \u is encountered in a byte string where it has no
effect.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22anomalous-unicode-escape-in-string%22+OR+%22W1402%22)
