## E1102 (not-callable)

### :x: Problematic code:

```python
a = '1'
print(a())
```

### :heavy_check_mark: Correct code:

```python
a = lambda: '1'
print(a())
```

### Rationale:

Used when an object being called has been inferred to a non callable object.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22not-callable%22+OR+%22E1102%22)
