## E1120 (no-value-for-parameter)

### :x: Problematic code:

```python
def foo(x, y):
    return x + y


foo(1)
```

### :heavy_check_mark: Correct code:

```python
def foo(x, y):
    return x + y


foo(1, 2)
```

### Rationale:

Used when a function call passes too few arguments.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22no-value-for-parameter%22+OR+%22E1120%22)
