## E1123 (unexpected-keyword-arg)

### :x: Problematic code:

```python
def foo(key=None, value=None):
    return {key: value}


foo(k='x', v=1)
```

### :heavy_check_mark: Correct code:

```python
def foo(key=None, value=None):
    return {key: value}


foo(key='x', value=1)
```

### Rationale:

Used when a function call passes a keyword argument that doesn't correspond
to one of the function's parameter names.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unexpected-keyword-arg%22+OR+%22E1123%22)
