## E1124 (redundant-keyword-arg)

### :x: Problematic code:

```python
def foo(x, y):
    return x + y


foo(1, x=1, y=2)
```

### :heavy_check_mark: Correct code:

```python
def foo(x, y):
    return x + y


foo(1, 2)
# or 
foo(x=1, y=2)
```

### Rationale:

Used when a function call would result in assigning multiple values to a
function parameter, one value from a positional argument and one from a
keyword argument.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22redundant-keyword-arg%22+OR+%22E1124%22)
