## E1127 (invalid-slice-index)

### :x: Problematic code:

```python
data = [1, 2, 3, 4]
print(data[:object])
```

### :heavy_check_mark: Correct code:

```python
data = [1, 2, 3, 4]
print(data[:2])
```

### Rationale:

Used when a slice index is not an integer, `None`, or an `object` with an
`__index__` method.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-slice-index%22+OR+%22E1127%22)
