## E1130 (invalid-unary-operand-type)

### :x: Problematic code:

```python
foo = int
bar = - foo
```

### :heavy_check_mark: Correct code:

```python
foo = 1
bar = 10
bar -= foo
```

### Rationale:

Emitted when a unary operand is used on an object which does not support this
type of operation.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-unary-operand-type%22+OR+%22E1130%22)
