## E1141 (dict-iter-missing-items)

### :x: Problematic code:

```python
data = {'x': 1, 'y': 2, 'z': 3}
for key, value in data:
    print(f'key: {key} => value: {value}')
```

### :heavy_check_mark: Correct code:

```python
data = {'x': 1, 'y': 2, 'z': 3}
for key, value in data.items():
    print(f'key: {key} => value: {value}')
```

### Rationale:

Emitted when trying to iterate through a dict without calling `.items()`.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22dict-iter-missing-items%22+OR+%22E1141%22)
