## W1113 (keyword-arg-before-vararg)

### :x: Problematic code:

```python
def foo(x, y=None, *args):
    return [x, y, *args]


print(foo(1, 2, 3))
```

### :heavy_check_mark: Correct code:

```python
def foo(*args, y=None):
    return [*arg, y]


print(foo(1, 2, 3))
```

### Rationale:

When defining a keyword argument before variable positional arguments, one
can end up in having multiple values passed for the aforementioned parameter
in case the method is called with keyword arguments.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22keyword-arg-before-vararg%22+OR+%22W1113%22)
