## E0603 (undefined-all-variable)

### :x: Problematic code:

```console
cat > test.py <<EOF
__all__ = ['Test', 'Bar']


class Test:
    pass


class Foo:
    pass
EOF
```

### :heavy_check_mark: Correct code:

```console
cat > test.py <<EOF
__all__ = ['Test', 'Foo']


class Test:
    pass


class Foo:
    pass
EOF
```

### Rationale:

Used when an undefined variable name is referenced in __all__.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/regrtest_data/package_all/__init__.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22undefined-all-variable%22+OR+%22E0603%22)
