## E0604 (invalid-all-object)

### :x: Problematic code:

```python
cat > test.py <<EOF
__all__ = [Test, Foo]


class Test:
    pass


class Foo:
    pass
EOF
```

### :heavy_check_mark: Correct code:

```python
cat > test.py <<EOF
__all__ = ['Test', 'Foo']


class Test:
    pass


class Foo:
    pass
EOF
```

### Rationale:

Used when an invalid (non-string) object occurs in `__all__`.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22invalid-all-object%22+OR+%22E0604%22)
