## W0601 (global-variable-undefined)

### :x: Problematic code:

```python
var = 1


def foo():
    global v
    print(v)
    v = 10
    print(v)


foo()
print(var)
```

### :heavy_check_mark: Correct code:

```python
var = 1


def foo():
    global var
    print(var)
    var = 10
    print(var)


foo()
print(var)
```

### Rationale:

Used when a variable is defined through the `global` statement but the
variable is not defined in the module scope.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/regrtest_data/module_global.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22global-variable-undefined%22+OR+%22W0601%22)
