## W0602 (global-variable-not-assigned)

### :x: Problematic code:

```python
var = 1


def foo():
    global v
    print(var)
    var = 10
    print(var)


foo()
print(var)
```

### :heavy_check_mark: Correct code:

```python
var = 1


def foo():
    global var
    print(var)
    var = 10
    print(var)


foo()
print(var)
```

### Rationale:

Used when a variable is defined through the `global` statement but no
assignment to this variable is done.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22global-variable-not-assigned%22+OR+%22W0602%22)
