## W0603 (global-statement)

### :x: Problematic code:

```python
var = 1


def foo():
    global var
    print(var)
    var = 10
    print(var)


foo()
print(var)
```

### :heavy_check_mark: Correct code:

```python
var = 1


def foo(x):
    print(var)
    return 10


var = foo()
print(var)
```

### Rationale:

Used when you use the `global` statement to update a global variable. Pylint
just try to discourage this usage. That doesn't mean you cannot use it!

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22global-statement%22+OR+%22W0603%22)
