## W0604 (global-at-module-level)

### :x: Problematic code:

```python
var = 1
global var
```

### :heavy_check_mark: Correct code:

```python
var = 1
```

### Rationale:

Used when you use the `global` statement at the module level since it has no
effect.

### Related resources:

- [Testcases](https://github.com/PyCQA/pylint/blob/master/tests/regrtest_data/module_global.py)
- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22global-at-module-level%22+OR+%22W0604%22)
