## W0613 (unused-argument)

### :x: Problematic code:

```python
def foo(x, y):
    return {x: None}
```

### :heavy_check_mark: Correct code:

```python
def foo(x, y):
    return {x: y}
```

### Rationale:

Used when a function or method argument is not used.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unused-argument%22+OR+%22W0613%22)
