## W0614 (unused-wildcard-import)

### :x: Problematic code:

```python
from pkg import *
print('imported')
```

### :heavy_check_mark: Correct code:

```python
from pkg import *
print('imported', func)
```

### Rationale:

Used when an imported module or variable is not used from a
`'from X import *'` style import.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unused-wildcard-import%22+OR+%22W0614%22)
