## W0621 (redefined-outer-name)

### :x: Problematic code:

```python
var = 0


def foo(x, y):
    var = x + y
    return var
```

### :heavy_check_mark: Correct code:

```python
var = 0


def foo(x, y):
    v = x + y
    return v
    # or
    return x + y
```

### Rationale:

Used when a variable's name hides a name defined in the outer scope.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22redefined-outer-name%22+OR+%22W0621%22)
