## W0632 (unbalanced-tuple-unpacking)

### :x: Problematic code:

```python
t = (1, 2, 3, 4)
a, b, c = t
```

### :heavy_check_mark: Correct code:

```python
t = (1, 2, 3, 4)
a, b, *c = t
```

### Rationale:

Used when there is an unbalanced tuple unpacking in assignment.

### Related resources:

- [Issue Tracker](https://github.com/PyCQA/pylint/issues?q=is%3Aissue+%22unbalanced-tuple-unpacking%22+OR+%22W0632%22)
